local ____lualib = require("lualib_bundle")
local __TS__Class = ____lualib.__TS__Class
local __TS__ClassExtends = ____lualib.__TS__ClassExtends
local ____exports = {}
local ____isaac_2Dtypescript_2Ddefinitions = require("isaac-typescript-definitions")
local ModCallback = ____isaac_2Dtypescript_2Ddefinitions.ModCallback
local ____shouldFire = require("shouldFire")
local shouldFireLaser = ____shouldFire.shouldFireLaser
local ____CustomCallback = require("classes.private.CustomCallback")
local CustomCallback = ____CustomCallback.CustomCallback
____exports.PostLaserUpdateFilter = __TS__Class()
local PostLaserUpdateFilter = ____exports.PostLaserUpdateFilter
PostLaserUpdateFilter.name = "PostLaserUpdateFilter"
__TS__ClassExtends(PostLaserUpdateFilter, CustomCallback)
function PostLaserUpdateFilter.prototype.____constructor(self)
    CustomCallback.prototype.____constructor(self)
    self.shouldFire = shouldFireLaser
    self.postLaserUpdate = function(____, laser)
        self:fire(laser)
    end
    self.callbacksUsed = {{ModCallback.POST_LASER_UPDATE, self.postLaserUpdate}}
end
return ____exports
